Public Class Form1
    ' Let the user pick a new font for the form.
    Private Sub btnSetFont_Click(ByVal sender As System.Object, _
     ByVal e As System.EventArgs) Handles btnSetFont.Click
        ' Save the current font and color.
        Dim old_font As Font = Me.Font
        Dim old_color As Color = Me.ForeColor

        dlgFont.ShowColor = True    ' Let the user select font color.   
        dlgFont.ShowEffects = True  ' Let the user select Strikeout and Underline.
        dlgFont.ShowApply = True    ' Display the Apply button.
        dlgFont.Font = Me.Font      ' Set the initial font.

        ' Display the dialog.
        If dlgFont.ShowDialog() = DialogResult.OK Then
            ' The user clicked OK. Apply the new font.
            SetFormFont(dlgFont.Font, dlgFont.Color)
        Else
            ' The user canceled. Restore the old font.
            SetFormFont(old_font, old_color)
        End If
    End Sub

    ' Apply the dialog's currently selected font.
    Private Sub dlgFont_Apply(ByVal sender As Object, _
     ByVal e As System.EventArgs) Handles dlgFont.Apply
        Dim dlg As FontDialog = DirectCast(sender, FontDialog)
        SetFormFont(dlg.Font, dlg.Color)
    End Sub

    ' Set the form's Font and ForeColor.
    Private Sub SetFormFont(ByVal new_font As Font, ByVal new_color As Color)
        ' Set the form's font and color.
        Me.Font = new_font
        Me.ForeColor = new_color
    End Sub
End Class
